#pragma once
#include "WorkspaceAccess.h"

/*!
	ユーザーマネージャの設定(個別項目)
	Manager
*/
class CUserInfo :
	protected CWorkspaceAccess
{
public:
	//	コンストラクタをまとめて定義
	DEFINE_COMMON_CONSTRUCTOR(CUserInfo);

	///////////////////////////////////////////////////////////////////////////////////////////////////
	//	プロパティ（基本）
	///////////////////////////////////////////////////////////////////////////////////////////////////
	//!	グループ
	DEFINE_PROPERTY_METHOD_STR(Group,			_U8("Group"),		_U8(""));

	//!ユーザー名
	DEFINE_PROPERTY_METHOD_STR(User,			_U8("User"),		_U8(""));

	//!	パスワード
	DEFINE_PROPERTY_METHOD_STR(Password,		_U8("Password"),	_U8(""));

	//!	説明
	DEFINE_PROPERTY_METHOD_STR(Info,			_U8("Info"),		_U8(""));

};
//!	ユーザーリスト
typedef CWorkspaceTypedListAccess<CUserInfo, CWTLAName<'U', 's', 'e', 'r'>> CUserInfoList;

